All of lore.kernel.org
 help / color / mirror / Atom feed
From: Kevin Wolf <kwolf@redhat.com>
To: anthony@codemonkey.ws
Cc: kwolf@redhat.com, qemu-devel@nongnu.org
Subject: [Qemu-devel] [PULL 06/30] qemu-iotests: Test for loading VM state from qcow2
Date: Thu, 31 Oct 2013 16:48:20 +0100	[thread overview]
Message-ID: <1383234524-372-7-git-send-email-kwolf@redhat.com> (raw)
In-Reply-To: <1383234524-372-1-git-send-email-kwolf@redhat.com>

From: Max Reitz <mreitz@redhat.com>

Add a test for saving a VM state from a qcow2 image and loading it back
(with having restarted qemu in between); this should work without any
problems.

Signed-off-by: Max Reitz <mreitz@redhat.com>
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 tests/qemu-iotests/068     | 65 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/qemu-iotests/068.out | 11 ++++++++
 tests/qemu-iotests/group   |  1 +
 3 files changed, 77 insertions(+)
 create mode 100755 tests/qemu-iotests/068
 create mode 100644 tests/qemu-iotests/068.out

diff --git a/tests/qemu-iotests/068 b/tests/qemu-iotests/068
new file mode 100755
index 0000000..b72e555
--- /dev/null
+++ b/tests/qemu-iotests/068
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Test case for loading a saved VM state from a qcow2 image
+#
+# Copyright (C) 2013 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=mreitz@redhat.com
+
+seq="$(basename $0)"
+echo "QA output created by $seq"
+
+here="$PWD"
+tmp=/tmp/$$
+status=1	# failure is the default!
+
+_cleanup()
+{
+	_cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# This tests qocw2-specific low-level functionality
+_supported_fmt qcow2
+_supported_proto generic
+_supported_os Linux
+
+IMGOPTS="compat=1.1"
+IMG_SIZE=128K
+
+echo
+echo "=== Saving and reloading a VM state to/from a qcow2 image ==="
+echo
+_make_test_img $IMG_SIZE
+# Give qemu some time to boot before saving the VM state
+bash -c 'sleep 1; echo -e "savevm 0\nquit"' |\
+    $QEMU -nographic -monitor stdio -serial none -hda "$TEST_IMG" |\
+    _filter_qemu
+# Now try to continue from that VM state (this should just work)
+echo quit |\
+    $QEMU -nographic -monitor stdio -serial none -hda "$TEST_IMG" -loadvm 0 |\
+    _filter_qemu
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
diff --git a/tests/qemu-iotests/068.out b/tests/qemu-iotests/068.out
new file mode 100644
index 0000000..abe35a9
--- /dev/null
+++ b/tests/qemu-iotests/068.out
@@ -0,0 +1,11 @@
+QA output created by 068
+
+=== Saving and reloading a VM state to/from a qcow2 image ===
+
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=131072 
+QEMU X.Y.Z monitor - type 'help' for more information
+(qemu) s^[[K^[[Dsa^[[K^[[D^[[Dsav^[[K^[[D^[[D^[[Dsave^[[K^[[D^[[D^[[D^[[Dsavev^[[K^[[D^[[D^[[D^[[D^[[Dsavevm^[[K^[[D^[[D^[[D^[[D^[[D^[[Dsavevm ^[[K^[[D^[[D^[[D^[[D^[[D^[[D^[[Dsavevm 0^[[K
+(qemu) q^[[K^[[Dqu^[[K^[[D^[[Dqui^[[K^[[D^[[D^[[Dquit^[[K
+QEMU X.Y.Z monitor - type 'help' for more information
+(qemu) q^[[K^[[Dqu^[[K^[[D^[[Dqui^[[K^[[D^[[D^[[Dquit^[[K
+*** done
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
index 13c5500..3ca9cba 100644
--- a/tests/qemu-iotests/group
+++ b/tests/qemu-iotests/group
@@ -73,3 +73,4 @@
 065 rw auto
 066 rw auto
 067 rw auto
+068 rw auto
-- 
1.8.1.4

  parent reply	other threads:[~2013-10-31 15:49 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-10-31 15:48 [Qemu-devel] [PULL v2 00/30] Block patches Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 01/30] qapi: fix documentation example Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 02/30] qcow2: Restore total_sectors value in save_vmstate Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 03/30] qcow2: Unset zero_beyond_eof " Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 04/30] qemu-img: add special exit code if bdrv_check is not supported Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 05/30] block/vpc: check that the image has not been truncated Kevin Wolf
2013-10-31 15:48 ` Kevin Wolf [this message]
2013-10-31 15:48 ` [Qemu-devel] [PULL 07/30] qcow2: Flush image after creation Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 08/30] exec: Fix bounce buffer allocation in address_space_map() Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 09/30] ide-test: Check what happens with bus mastering disabled Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 10/30] tests: Multiboot mmap test case Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 11/30] block: Don't copy backing file name on error Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 12/30] sheepdog: explicitly set copies as type uint8_t Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 13/30] sheepdog: pass copy_policy in the request Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 14/30] ahci: fix win7 hang on boot Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 15/30] block: Disable BDRV_O_COPY_ON_READ for the backing file Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 16/30] block: Avoid unecessary drv->bdrv_getlength() calls Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 17/30] qemu-iotests: Fix 051 reference output Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 18/30] qemu-iotests: drop duplicated "create_image" Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 19/30] qemu-iotests: Test case for backing file deletion Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 20/30] sheepdog: check return values of qemu_co_recv/send correctly Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 21/30] sheepdog: handle vdi objects in resend_aio_req Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 22/30] sheepdog: reload inode outside of resend_aioreq Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 23/30] coroutine: add co_aio_sleep_ns() to allow sleep in block drivers Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 24/30] sheepdog: try to reconnect to sheepdog after network error Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 25/30] sheepdog: make add_aio_request and send_aioreq void functions Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 26/30] sheepdog: cancel aio requests if possible Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 27/30] sheepdog: check simultaneous create in resend_aioreq Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 28/30] qemu-iotests: prefill some data to test image Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 29/30] qapi: Add optional field 'compressed' to ImageInfo Kevin Wolf
2013-10-31 15:48 ` [Qemu-devel] [PULL 30/30] vmdk: Implment bdrv_get_specific_info Kevin Wolf
2013-10-31 16:13   ` Eric Blake
2013-10-31 16:20     ` Kevin Wolf
2013-11-01  9:32       ` Fam Zheng
2013-10-31 20:50 ` [Qemu-devel] [PULL v2 00/30] Block patches Anthony Liguori
2013-10-31 21:52   ` Paolo Bonzini
2013-11-01  7:22     ` Anthony Liguori
2013-11-04 11:00   ` Kevin Wolf

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1383234524-372-7-git-send-email-kwolf@redhat.com \
    --to=kwolf@redhat.com \
    --cc=anthony@codemonkey.ws \
    --cc=qemu-devel@nongnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.